Package org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetFromUniNode<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetFromUniNode<A>

- All Implemented Interfaces:
    `BavetNode`

      public final class BavetFromUniNode<A>
      extends BavetAbstractUniNode<A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeIndex, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetFromUniNode​(BavetConstraintSession session, int nodeIndex, Class<A> fromClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChildNode​(BavetAbstractUniNode<A> childNode)` |
    `BavetFromUniTuple<A>` | `createTuple​(A a)` |
    `BavetAbstractUniTuple<A>` | `createTuple​(BavetAbstractUniTuple<A> parentTuple)` |
    `boolean` | `equals​(Object o)` |
    `List<BavetAbstractUniNode<A>>` | `getChildNodeList()` |
    `int` | `hashCode()` |
    `void` | `refresh​(BavetAbstractTuple uncastTuple)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetFromUniNode

          public BavetFromUniNode​(BavetConstraintSession session,
                                  int nodeIndex,
                                  Class<A> fromClass)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode​(BavetAbstractUniNode<A> childNode)

      Overrides:
        `addChildNode` in class `BavetAbstractUniNode<A>`

    - #### getChildNodeList

          public List<BavetAbstractUniNode<A>> getChildNodeList()

      Overrides:
        `getChildNodeList` in class `BavetAbstractUniNode<A>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### createTuple

          public BavetFromUniTuple<A> createTuple​(A a)

    - #### createTuple

          public BavetAbstractUniTuple<A> createTuple​(BavetAbstractUniTuple<A> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractUniNode<A>`

    - #### refresh

          public void refresh​(BavetAbstractTuple uncastTuple)

      Specified by:
        `refresh` in class `BavetAbstractNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`